Get work order details for Generative AI authoring of a work order summary note
post
/fscmRestApi/resources/11.13.18.05/maintenanceWorkOrders/{WorkOrderId}/action/generateRepairSummaryPromptParams
Gathers work order details including the work performed on an asset, and transforms the information into a string that can be sent as a payload to the Generative AI completions REST. The completions REST can then use this payload to assist in authoring a work summary note for the work order.
Request
Path Parameters
-
WorkOrderId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
assetId: number
Value that uniquely identifies the work order asset. If the work order is for a nonasset tracked item, then set this parameter to null. Otherwise, this parameter is required.
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): string
If the action completes successfully, then generateRepairSummaryPromptParams returns a string representing the payload that can be sent to the Generative AI completions REST.